complexType "BoundedVariance"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 4 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | realisedVarianceMethod, daysInRangeAdjustment, upperBarrier?, lowerBarrier?
</...>

Content Model Elements (4):

  daysInRangeAdjustment, lowerBarrier, realisedVarianceMethod, upperBarrier

All Direct / Indirect Based Elements (1):

  boundedVariance

Known Usage Locations

- As direct type of elements (1):
  boundedVariance

Annotation
A type describing variance bounds, which are used to exclude money price values outside of the specified range In a Up Conditional Swap Underlyer price must be equal to or higher than Lower Barrier In a Down Conditional Swap Underlyer price must be equal to or lower than Upper Barrier In a Corridor Conditional Swap Underlyer price must be equal to or higher than Lower Barrier and must be equal to or lower than Upper Barrier.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="BoundedVariance"> <xsd:sequence> <xsd:element name="realisedVarianceMethod" type="RealisedVarianceMethodEnum"/> <xsd:element name="daysInRangeAdjustment" type="xsd:boolean"/> <xsd:element minOccurs="0" name="upperBarrier" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="lowerBarrier" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
daysInRangeAdjustment

  Type: | xsd:boolean, predefined, simple content

  The contract specifies whether the notional should be scaled by the Number of Days in Range divided by the Expected N. The number of Days in Ranges refers to the number of returns that contribute to the realized volatility.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="daysInRangeAdjustment" type="xsd:boolean"/>

lowerBarrier

  Type: | NonNegativeDecimal, simple content

  All observations below this price level will be excluded from the variance calculation.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="lowerBarrier" type="NonNegativeDecimal"/>

realisedVarianceMethod

  Type: | RealisedVarianceMethodEnum, simple content

  The contract specifies whether which price must satisfy the boundary condition.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Previous" | - | For a return on day T, the observed price on T-1 must be in range. See: http://www.FpML.org
  "Last" | - | For a return on day T, the observed price on T must be in range. See: http://www.FpML.org
  "Both" | - | For a return on day T, the observed prices on both T and T-1 must be in range See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="realisedVarianceMethod" type="RealisedVarianceMethodEnum"/>

upperBarrier

  Type: | NonNegativeDecimal, simple content

  All observations above this price level will be excluded from the variance calculation.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="upperBarrier" type="NonNegativeDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.